import QtQuick 2.0
import Widgets 0.1

Flickable {
    id: dashContentPage
    contentWidth: dashImage.width
    contentHeight: dashImage.height
    width: ListView.view ? ListView.view.width : shell.width
    height: ListView.view ? ListView.view.height : shell.height
    //clip: true
    flickableDirection: Flickable.VerticalFlick

    ImageMipmap {
        id: dashImage
        resource: shell.tablet ? "graphics/tablet/home.png" : "graphics/phone/home.png"
        clip: true
        y: -units.dp(22)
    }
}
