import QtQuick 2.0
import Widgets 0.1

Rectangle {
    id: container

    property int iconHeight: 0.65*height
    property int additionalSpacing: 0
    property bool alert: false

    width: itemIcon.sourceSize.width / itemIcon.sourceSize.height * height + additionalSpacing

    height: units.dp(24)
    color: 'transparent'
    border.width: 0
    border.color: 'white'

    ImageMipmap {
        id: itemIcon
        anchors.centerIn: parent
        resource: alert ? alertIcon : icon
        height: container.iconHeight
        width: height/sourceSize.height * sourceSize.width
        smooth: true
    }
}

