import QtQuick 2.0

ListModel {
    id: indicatorsModel

    property int itemCount
    itemCount: {
        var itemCount = 0
        for (var i = 0; i < indicatorsModel.count; i++) {
            itemCount += indicatorsModel.get(i).attributes.count
        }
        return itemCount
    }

    ListElement {
        groupName: "Location"
        initial: false
        attributes: [
            ListElement {
                icon: "graphics/Location.png"
                alertIcon: ""
            }
        ]
    }
    ListElement {
        groupName: "Bluetooth"
        initial: false
        attributes: [
            ListElement {
                icon: "graphics/Bluetooth.png"
                alertIcon: ""
            }
        ]
    }
    ListElement {
        groupName: "Sync"
        initial: false
        attributes: [
            ListElement {
                icon: "graphics/Sync.png"
                alertIcon: ""
            }
        ]
    }
    ListElement {
        groupName: "Messages"
        initial: true
        attributes: [
            ListElement {
                icon: "graphics/Messages.png"
                alertIcon: "graphics/Messages_alert.png"
            }
        ]
    }
    ListElement {
        groupName: "Sound"
        initial: true
        attributes: [
            ListElement {
                icon: "graphics/Sound.png"
                alertIcon: ""
            }
        ]
    }
    ListElement {
        groupName: "Network"
        initial: true
        attributes: [
            ListElement {
                icon: "graphics/Network_GSM.png"
                alertIcon: ""
            },
            ListElement {
                icon: "graphics/Network_3G.png"
                alertIcon: ""
            }
        ]
    }
    ListElement {
        groupName: "Battery"
        initial: true
        attributes: [
            ListElement {
                icon: "graphics/Battery.png"
                alertIcon: ""
           }
        ]
    }
    ListElement {
        groupName: "Time"
        initial: true
        attributes: [
            ListElement {
                icon: "graphics/Time.png"
                alertIcon: ""
            }
        ]
    }
}
