/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

QtObject {
    id: units

    property variant categories: [["", 160, 1.0],
                                  ["@1.5x", 240, 1.5],
                                  ["@2x", 320, 2.0]]
    property int category: 1
    property real scaleFactor: categories[category][2]
    property string suffix: categories[category][0]

    function dp(x) {
        return Math.floor(x * scaleFactor)
    }
}
