import QtQuick 2.0
import Widgets 0.1

Item {
    property bool shown: true

    property variant model
    property bool showDefaultScreen: true

    opacity: shown ? 1.0 : 0.0
    Behavior on opacity { NumberAnimation { easing.type: Easing.InOutQuad; duration: 200 } }

    ImageMipmap {
        width: parent.width
        height: width * sourceSize.height / sourceSize.width
        anchors.top: parent.top
        resource: model && model.identifier != "" ? shell.tablet ? "graphics/tablet/" + model.identifier + ".jpg" : "graphics/phone/" + model.identifier + ".jpg" : ""
        smooth: true
    }
    // eater
    MouseArea {
        anchors.fill: parent
    }

}
