import QtQuick 2.0
import Widgets 0.1

ApplicationWindow {

    showDefaultScreen: false

    Rectangle {
        anchors.fill: parent
        color: "black"
    }

    Flickable {
        anchors.fill: parent
        contentHeight: mapImage.height
        contentWidth: mapImage.width
        clip: true

        ImageMipmap {
            id: mapImage
            resource: shell.tablet ? "graphics/tablet/map.jpg" : "graphics/phone/map.jpg"
        }
    }
}
