import QtQuick 2.0
import Widgets 0.1

IndicatorMenuWindow {
    id: messagesMenu

    property int messageCount: 0
    function newMessage(data) {
        messageCount++
    }

    ImageMipmap {
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
        height: parent.contentHeight
        resource: shell.tablet ? "graphics/tablet/messages.png" : "graphics/phone/messages.png"
        smooth: true
    }
}
