import QtQuick 2.0

Column {
    id: shortcutsContainer

    property int foldedAngle: 0
    property int initialFoldedOffset: 0
    property int foldedOffset: 0
    property int initialIndex: 0

    property bool animating: angleAnimation.running || offsetAnimation.running

    property ListModel model
    property variant delegate

    Behavior on foldedAngle { NumberAnimation { id: angleAnimation; duration: 200; } }
    Behavior on foldedOffset { NumberAnimation { id: offsetAnimation; duration: 200; } }

    Repeater {
        model: shortcutsContainer.model
        delegate: shortcutsContainer.delegate
    }
}
